# Export the master derivation key from a wallet

POST

/v1/master-key/export

Export the master derivation key from the wallet. This key is a master “backup” key for the underlying wallet. With it, you can regenerate all of the wallets that have been generated with this wallet’s `POST /v1/key` endpoint. This key will not allow you to recover keys imported from other wallets, however.

## Authorizations

- **[api_key](https://dev.algorand.co/reference/rest-api/kmd/#api_key)**

## Request Body

The list of MIME types the operation can consume: application/json

APIV1POSTMasterKeyExportRequest is the request for `POST /v1/master-key/export`

object

**wallet_handle_token**

string

**wallet_password**

string

## Responses

### 200

Response to `POST /v1/master-key/export`

The list of MIME types the operation can produce: application/json

APIV1POSTMasterKeyExportResponse is the response to `POST /v1/master-key/export`
friendly: ExportMasterKeyResponse

object

**error**

boolean

**master_derivation_key**

MasterDerivationKey is used to derive ed25519 keys for use in wallets

Array<integer>

**message**

string
